package org.firstinspires.ftc.teamcode;

import com.qualcomm.robotcore.eventloop.opmode.Autonomous;
import com.qualcomm.robotcore.eventloop.opmode.LinearOpMode;

@Autonomous(name = "idk something right")
public class AutonRight extends LinearOpMode {
    Hardware hardware;
    MovementAPI movement;

    @Override
    public void runOpMode() {
        hardware = new Hardware(this);
        movement = new MovementAPI(hardware);

        hardware.wrist.setPosition(0.5);
        sleep(500);
        hardware.claw.setPosition(1);

        waitForStart();

        movement.move(0, 1, 0, 0.4);
        sleep(1000);
        movement.stop();
        sleep(1000);
        hardware.claw.setPosition(0);
        sleep(1000);
        movement.move(0, -1, 0, 0.4);
        sleep(1000);
        movement.stop();
        sleep(1000);
        movement.move(1, 0, 0, 0.4);
        sleep(2500);
        movement.stop();
    }
}
